/*!
 * @license
 * Copyright © 2005-2025 Hyland Software, Inc. and its affiliates. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import { BaseApi } from '../../hxi-connector-api/api/base.api';
export class SearchAiApi extends BaseApi {
    ask(questions) {
        const agentId = questions[0].agentId;
        return this.post({
            path: `agents/${agentId}/questions`,
            bodyParam: questions.map((questionRequest) => ({
                question: questionRequest.question,
                restrictionQuery: { nodesIds: questionRequest.nodeIds }
            }))
        }).then((response) => response.entry);
    }
    getAnswer(questionId) {
        return this.get({
            path: `questions/${questionId}/answers/-default-`
        });
    }
    getConfig() {
        return this.get({
            path: '/config/-default-'
        });
    }
}
//# sourceMappingURL=../../../../../../../../lib/js-api/src/api/content-rest-api/api/search-ai.api.js.map