"use strict";
/*!
 * @license
 * Copyright © 2005-2025 Hyland Software, Inc. and its affiliates. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.DecisionAuditsApi = void 0;
const decisionAuditRepresentation_1 = require("../model/decisionAuditRepresentation");
const resultListDataRepresentationDecisionAuditRepresentation_1 = require("../model/resultListDataRepresentationDecisionAuditRepresentation");
const base_api_1 = require("./base.api");
const assert_1 = require("../../../assert");
class DecisionAuditsApi extends base_api_1.BaseApi {
    getAuditTrail(auditTrailId) {
        (0, assert_1.throwIfNotDefined)(auditTrailId, 'taskId');
        const pathParams = {
            auditTrailId
        };
        return this.get({
            path: '/api/enterprise/decisions/audits/{auditTrailId}',
            pathParams,
            returnType: decisionAuditRepresentation_1.DecisionAuditRepresentation
        });
    }
    getAuditTrails(decisionKey, dmnDeploymentId) {
        (0, assert_1.throwIfNotDefined)(decisionKey, 'decisionKey');
        (0, assert_1.throwIfNotDefined)(dmnDeploymentId, 'dmnDeploymentId');
        const queryParams = {
            decisionKey,
            dmnDeploymentId
        };
        return this.get({
            path: '/api/enterprise/decisions/audits',
            queryParams,
            returnType: resultListDataRepresentationDecisionAuditRepresentation_1.ResultListDataRepresentationDecisionAuditRepresentation
        });
    }
}
exports.DecisionAuditsApi = DecisionAuditsApi;
//# sourceMappingURL=../../../../../../../lib/js-api/src/api/activiti-rest-api/api/decisionAudits.api.js.map