"use strict";
/*!
 * @license
 * Copyright © 2005-2025 Hyland Software, Inc. and its affiliates. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.ModelsBpmnApi = void 0;
const base_api_1 = require("./base.api");
const assert_1 = require("../../../assert");
class ModelsBpmnApi extends base_api_1.BaseApi {
    getHistoricProcessModelBpmn20Xml(processModelId, processModelHistoryId) {
        (0, assert_1.throwIfNotDefined)(processModelId, 'processModelId');
        (0, assert_1.throwIfNotDefined)(processModelHistoryId, 'processModelHistoryId');
        const pathParams = {
            processModelId,
            processModelHistoryId
        };
        const accepts = ['application/xml'];
        return this.get({
            path: '/api/enterprise/models/{processModelId}/history/{processModelHistoryId}/bpmn20',
            pathParams,
            accepts
        });
    }
    getProcessModelBpmn20Xml(processModelId) {
        (0, assert_1.throwIfNotDefined)(processModelId, 'processModelId');
        const pathParams = {
            processModelId
        };
        const accepts = ['application/xml'];
        return this.get({
            path: '/api/enterprise/models/{processModelId}/bpmn20',
            pathParams,
            accepts
        });
    }
}
exports.ModelsBpmnApi = ModelsBpmnApi;
//# sourceMappingURL=../../../../../../../lib/js-api/src/api/activiti-rest-api/api/modelsBpmn.api.js.map