"use strict";
/*!
 * @license
 * Copyright © 2005-2025 Hyland Software, Inc. and its affiliates. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.SubmittedFormsApi = void 0;
const resultListDataRepresentationSubmittedFormRepresentation_1 = require("../model/resultListDataRepresentationSubmittedFormRepresentation");
const submittedFormRepresentation_1 = require("../model/submittedFormRepresentation");
const base_api_1 = require("./base.api");
const assert_1 = require("../../../assert");
class SubmittedFormsApi extends base_api_1.BaseApi {
    getFormSubmittedForms(formId, opts) {
        (0, assert_1.throwIfNotDefined)(formId, 'formId');
        const pathParams = {
            formId
        };
        return this.get({
            path: '/api/enterprise/form-submitted-forms/{formId}',
            pathParams,
            queryParams: opts,
            returnType: resultListDataRepresentationSubmittedFormRepresentation_1.ResultListDataRepresentationSubmittedFormRepresentation
        });
    }
    getProcessSubmittedForms(processId) {
        (0, assert_1.throwIfNotDefined)(processId, 'processId');
        const pathParams = {
            processId
        };
        return this.get({
            path: '/api/enterprise/process-submitted-forms/{processId}',
            pathParams,
            returnType: resultListDataRepresentationSubmittedFormRepresentation_1.ResultListDataRepresentationSubmittedFormRepresentation
        });
    }
    getSubmittedFrom(submittedFormId) {
        (0, assert_1.throwIfNotDefined)(submittedFormId, 'submittedFormId');
        const pathParams = {
            submittedFormId
        };
        return this.get({
            path: '/api/enterprise/submitted-forms/{submittedFormId}',
            pathParams,
            returnType: submittedFormRepresentation_1.SubmittedFormRepresentation
        });
    }
    getTaskSubmittedForms(taskId) {
        (0, assert_1.throwIfNotDefined)(taskId, 'taskId');
        const pathParams = {
            taskId
        };
        return this.get({
            path: '/api/enterprise/task-submitted-form/{taskId}',
            pathParams,
            returnType: submittedFormRepresentation_1.SubmittedFormRepresentation
        });
    }
}
exports.SubmittedFormsApi = SubmittedFormsApi;
//# sourceMappingURL=../../../../../../../lib/js-api/src/api/activiti-rest-api/api/submittedForms.api.js.map