"use strict";
/*!
 * @license
 * Copyright © 2005-2025 Hyland Software, Inc. and its affiliates. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.GroupRepresentation = void 0;
const content_custom_api_1 = require("../../content-custom-api");
const userRepresentationGroup_1 = require("./userRepresentationGroup");
class GroupRepresentation {
    constructor(input) {
        if (input) {
            Object.assign(this, input);
            if (input.groups) {
                this.groups = input.groups.map((item) => new GroupRepresentation(item));
            }
            this.lastSyncTimeStamp = input.lastSyncTimeStamp ? content_custom_api_1.DateAlfresco.parseDate(input.lastSyncTimeStamp) : undefined;
            this.manager = input.manager ? new userRepresentationGroup_1.UserRepresentationGroup(input.manager) : undefined;
            if (input.users) {
                this.users = input.users.map((item) => new userRepresentationGroup_1.UserRepresentationGroup(item));
            }
        }
    }
}
exports.GroupRepresentation = GroupRepresentation;
//# sourceMappingURL=../../../../../../../lib/js-api/src/api/activiti-rest-api/model/groupRepresentation.js.map