"use strict";
/*!
 * @license
 * Copyright © 2005-2025 Hyland Software, Inc. and its affiliates. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.HistoricTaskInstanceQueryRepresentation = void 0;
const content_custom_api_1 = require("../../content-custom-api");
class HistoricTaskInstanceQueryRepresentation {
    constructor(input) {
        if (input) {
            Object.assign(this, input);
            this.dueDate = input.dueDate ? content_custom_api_1.DateAlfresco.parseDate(input.dueDate) : undefined;
            this.dueDateAfter = input.dueDateAfter ? content_custom_api_1.DateAlfresco.parseDate(input.dueDateAfter) : undefined;
            this.dueDateBefore = input.dueDateBefore ? content_custom_api_1.DateAlfresco.parseDate(input.dueDateBefore) : undefined;
            this.taskCompletedAfter = input.taskCompletedAfter ? content_custom_api_1.DateAlfresco.parseDate(input.taskCompletedAfter) : undefined;
            this.taskCompletedBefore = input.taskCompletedBefore ? content_custom_api_1.DateAlfresco.parseDate(input.taskCompletedBefore) : undefined;
            this.taskCompletedOn = input.taskCompletedOn ? content_custom_api_1.DateAlfresco.parseDate(input.taskCompletedOn) : undefined;
            this.taskCreatedAfter = input.taskCreatedAfter ? content_custom_api_1.DateAlfresco.parseDate(input.taskCreatedAfter) : undefined;
            this.taskCreatedBefore = input.taskCreatedBefore ? content_custom_api_1.DateAlfresco.parseDate(input.taskCreatedBefore) : undefined;
            this.taskCreatedOn = input.taskCreatedOn ? content_custom_api_1.DateAlfresco.parseDate(input.taskCreatedOn) : undefined;
        }
    }
}
exports.HistoricTaskInstanceQueryRepresentation = HistoricTaskInstanceQueryRepresentation;
//# sourceMappingURL=../../../../../../../lib/js-api/src/api/activiti-rest-api/model/historicTaskInstanceQueryRepresentation.js.map