"use strict";
/*!
 * @license
 * Copyright © 2005-2025 Hyland Software, Inc. and its affiliates. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.TaskRepresentation = void 0;
const content_custom_api_1 = require("../../content-custom-api");
class TaskRepresentation {
    constructor(input) {
        if (input) {
            Object.assign(this, input);
            this.created = input.created ? content_custom_api_1.DateAlfresco.parseDate(input.created) : undefined;
            this.dueDate = input.dueDate ? content_custom_api_1.DateAlfresco.parseDate(input.dueDate) : undefined;
            this.endDate = input.endDate ? content_custom_api_1.DateAlfresco.parseDate(input.endDate) : undefined;
        }
    }
    getFullName() {
        let fullName = '';
        if (this.assignee) {
            const firstName = this.assignee.firstName ? this.assignee.firstName : '';
            const lastName = this.assignee.lastName ? this.assignee.lastName : '';
            fullName = `${firstName} ${lastName}`;
        }
        return fullName.trim();
    }
    isCompleted() {
        return !!this.endDate;
    }
}
exports.TaskRepresentation = TaskRepresentation;
//# sourceMappingURL=../../../../../../../lib/js-api/src/api/activiti-rest-api/model/taskRepresentation.js.map