"use strict";
/*!
 * @license
 * Copyright © 2005-2025 Hyland Software, Inc. and its affiliates. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.AuthenticationApi = void 0;
const ticketEntry_1 = require("../model/ticketEntry");
const validTicketEntry_1 = require("../model/validTicketEntry");
const base_api_1 = require("./base.api");
const assert_1 = require("../../../assert");
class AuthenticationApi extends base_api_1.BaseApi {
    createTicket(ticketBodyCreate) {
        (0, assert_1.throwIfNotDefined)(ticketBodyCreate, 'ticketBodyCreate');
        return this.post({
            path: '/tickets',
            bodyParam: ticketBodyCreate,
            returnType: ticketEntry_1.TicketEntry
        });
    }
    getTicket() {
        return this.get({
            path: '/tickets/-me-',
            returnType: ticketEntry_1.TicketEntry
        });
    }
    deleteTicket() {
        return this.delete({
            path: '/tickets/-me-'
        });
    }
    validateTicket() {
        return this.get({
            path: '/tickets/-me-',
            returnType: validTicketEntry_1.ValidTicketEntry
        });
    }
}
exports.AuthenticationApi = AuthenticationApi;
//# sourceMappingURL=../../../../../../../lib/js-api/src/api/auth-rest-api/api/authentication.api.js.map