"use strict";
/*!
 * @license
 * Copyright © 2005-2025 Hyland Software, Inc. and its affiliates. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.ActivitiesApi = void 0;
const activityPaging_1 = require("../model/activityPaging");
const base_api_1 = require("./base.api");
const assert_1 = require("../../../assert");
const alfrescoApiClient_1 = require("../../../alfrescoApiClient");
class ActivitiesApi extends base_api_1.BaseApi {
    listActivitiesForPerson(personId, opts) {
        (0, assert_1.throwIfNotDefined)(personId, 'personId');
        opts = opts || {};
        const pathParams = {
            personId
        };
        const queryParams = Object.assign(Object.assign({}, opts), { fields: (0, alfrescoApiClient_1.buildCollectionParam)(opts === null || opts === void 0 ? void 0 : opts.fields, 'csv') });
        return this.get({
            path: '/people/{personId}/activities',
            pathParams,
            queryParams,
            returnType: activityPaging_1.ActivityPaging
        });
    }
}
exports.ActivitiesApi = ActivitiesApi;
//# sourceMappingURL=../../../../../../../lib/js-api/src/api/content-rest-api/api/activities.api.js.map