"use strict";
/*!
 * @license
 * Copyright © 2005-2025 Hyland Software, Inc. and its affiliates. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.Comment = void 0;
const content_custom_api_1 = require("../../content-custom-api");
const person_1 = require("./person");
class Comment {
    constructor(input) {
        if (input) {
            Object.assign(this, input);
            this.createdBy = input.createdBy ? new person_1.Person(input.createdBy) : undefined;
            this.createdAt = input.createdAt ? content_custom_api_1.DateAlfresco.parseDate(input.createdAt) : undefined;
            this.modifiedBy = input.modifiedBy ? new person_1.Person(input.modifiedBy) : undefined;
            this.modifiedAt = input.modifiedAt ? content_custom_api_1.DateAlfresco.parseDate(input.modifiedAt) : undefined;
        }
    }
}
exports.Comment = Comment;
//# sourceMappingURL=../../../../../../../lib/js-api/src/api/content-rest-api/model/comment.js.map