"use strict";
/*!
 * @license
 * Copyright © 2005-2025 Hyland Software, Inc. and its affiliates. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.FilesApi = void 0;
const recordEntry_1 = require("../model/recordEntry");
const base_api_1 = require("./base.api");
const alfrescoApiClient_1 = require("../../../alfrescoApiClient");
const assert_1 = require("../../../assert");
class FilesApi extends base_api_1.BaseApi {
    declareRecord(fileId, opts) {
        (0, assert_1.throwIfNotDefined)(fileId, 'fileId');
        const pathParams = {
            fileId
        };
        const queryParams = {
            hideRecord: opts === null || opts === void 0 ? void 0 : opts.hideRecord,
            parentId: opts === null || opts === void 0 ? void 0 : opts.parentId,
            include: (0, alfrescoApiClient_1.buildCollectionParam)(opts === null || opts === void 0 ? void 0 : opts.include, 'csv'),
            fields: (0, alfrescoApiClient_1.buildCollectionParam)(opts === null || opts === void 0 ? void 0 : opts.fields, 'csv')
        };
        return this.post({
            path: '/files/{fileId}/declare',
            pathParams,
            queryParams,
            returnType: recordEntry_1.RecordEntry
        });
    }
}
exports.FilesApi = FilesApi;
//# sourceMappingURL=../../../../../../../lib/js-api/src/api/gs-core-rest-api/api/files.api.js.map