"use strict";
/*!
 * @license
 * Copyright © 2005-2025 Hyland Software, Inc. and its affiliates. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.TransferAssociationPagingList = void 0;
const pagination_1 = require("../../content-rest-api/model/pagination");
const transfer_1 = require("./transfer");
const transferChildAssociationEntry_1 = require("./transferChildAssociationEntry");
class TransferAssociationPagingList {
    constructor(input) {
        if (input) {
            Object.assign(this, input);
            this.pagination = input.pagination ? new pagination_1.Pagination(input.pagination) : undefined;
            if (input.entries) {
                this.entries = input.entries.map((item) => new transferChildAssociationEntry_1.TransferChildAssociationEntry(item));
            }
            this.source = input.source ? new transfer_1.Transfer(input.source) : undefined;
        }
    }
}
exports.TransferAssociationPagingList = TransferAssociationPagingList;
//# sourceMappingURL=../../../../../../../lib/js-api/src/api/gs-core-rest-api/model/transferAssociationPagingList.js.map