"use strict";
/*!
 * @license
 * Copyright © 2005-2025 Hyland Software, Inc. and its affiliates. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.UnfiledContainerAssociationPagingList = void 0;
const content_rest_api_1 = require("../../content-rest-api");
const unfiledContainer_1 = require("./unfiledContainer");
const unfiledContainerChildAssociationEntry_1 = require("./unfiledContainerChildAssociationEntry");
class UnfiledContainerAssociationPagingList {
    constructor(input) {
        if (input) {
            Object.assign(this, input);
            this.pagination = input.pagination ? new content_rest_api_1.Pagination(input.pagination) : undefined;
            if (input.entries) {
                this.entries = input.entries.map((item) => new unfiledContainerChildAssociationEntry_1.UnfiledContainerChildAssociationEntry(item));
            }
            this.source = input.source ? new unfiledContainer_1.UnfiledContainer(input.source) : undefined;
        }
    }
}
exports.UnfiledContainerAssociationPagingList = UnfiledContainerAssociationPagingList;
//# sourceMappingURL=../../../../../../../lib/js-api/src/api/gs-core-rest-api/model/unfiledContainerAssociationPagingList.js.map