"use strict";
/*!
 * @license
 * Copyright © 2005-2025 Hyland Software, Inc. and its affiliates. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.UnfiledRecordFolderChildAssociation = void 0;
const content_rest_api_1 = require("../../content-rest-api");
const content_custom_api_1 = require("../../content-custom-api");
class UnfiledRecordFolderChildAssociation {
    constructor(input) {
        if (input) {
            Object.assign(this, input);
            this.modifiedAt = input.modifiedAt ? content_custom_api_1.DateAlfresco.parseDate(input.modifiedAt) : undefined;
            this.modifiedByUser = input.modifiedByUser ? new content_rest_api_1.UserInfo(input.modifiedByUser) : undefined;
            this.createdAt = input.createdAt ? content_custom_api_1.DateAlfresco.parseDate(input.createdAt) : undefined;
            this.createdByUser = input.createdByUser ? new content_rest_api_1.UserInfo(input.createdByUser) : undefined;
            this.path = input.path ? new content_rest_api_1.PathInfo(input.path) : undefined;
            this.association = input.association ? new content_rest_api_1.ChildAssociationInfo(input.association) : undefined;
        }
    }
}
exports.UnfiledRecordFolderChildAssociation = UnfiledRecordFolderChildAssociation;
//# sourceMappingURL=../../../../../../../lib/js-api/src/api/gs-core-rest-api/model/unfiledRecordFolderChildAssociation.js.map