/*!
 * @license
 * Copyright © 2005-2025 Hyland Software, Inc. and its affiliates. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import { AlfrescoApiType } from '../to-deprecate/alfresco-api-type';
import { LegacyHttpClient, RequestOptions } from './http-client.interface';
export declare abstract class ApiClient {
    protected alfrescoApi: AlfrescoApiType;
    protected httpClient: LegacyHttpClient;
    get apiClient(): LegacyHttpClient;
    constructor(legacyApi?: AlfrescoApiType);
    constructor(httpClient: LegacyHttpClient);
    post<T = any>(options: RequestOptions): Promise<T>;
    put<T = any>(options: RequestOptions): Promise<T>;
    get<T = any>(options: RequestOptions): Promise<T>;
    delete<T = void>(options: RequestOptions): Promise<T>;
    errorMessage(param: string, methodName: string): string;
}
