/*!
 * @license
 * Copyright © 2005-2025 Hyland Software, Inc. and its affiliates. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import { DecisionAuditRepresentation } from '../model/decisionAuditRepresentation';
import { ResultListDataRepresentationDecisionAuditRepresentation } from '../model/resultListDataRepresentationDecisionAuditRepresentation';
import { BaseApi } from './base.api';
/**
 * DecisionAuditsApi service.
 */
export declare class DecisionAuditsApi extends BaseApi {
    /**
     * Get an audit trail
     * @param auditTrailId auditTrailId
     * @return Promise<DecisionAuditRepresentation>
     */
    getAuditTrail(auditTrailId: number): Promise<DecisionAuditRepresentation>;
    /**
     * Query decision table audit trails
     * @param decisionKey decisionKey
     * @param dmnDeploymentId dmnDeploymentId
     * @return Promise<ResultListDataRepresentationDecisionAuditRepresentation>
     */
    getAuditTrails(decisionKey: string, dmnDeploymentId: number): Promise<ResultListDataRepresentationDecisionAuditRepresentation>;
}
