/*!
 * @license
 * Copyright © 2005-2025 Hyland Software, Inc. and its affiliates. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import { BaseApi } from './base.api';
export declare class ReportApi extends BaseApi {
    /**
     * Create the default reports
     */
    createDefaultReports(): Promise<any>;
    getTasksByProcessDefinitionId(reportId: string, processDefinitionId: string): Promise<any>;
    getReportsByParams(reportId: string, bodyParam: any): Promise<any>;
    getProcessDefinitions(): Promise<any>;
    getReportParams(reportId: string): Promise<any>;
    getReportList(): Promise<any>;
    updateReport(reportId: string, name: string): Promise<any>;
    /**
     * Export a report
     * @param reportId report id
     * @param bodyParam body parameters
     */
    exportToCsv(reportId: string, bodyParam: {
        reportName?: string;
    }): Promise<any>;
    /**
     * Save a report
     * @param reportId report id
     * @param opts Optional parameters
     */
    saveReport(reportId: string, opts: {
        reportName?: string;
    }): Promise<any>;
    /**
     * Delete a report
     * @param reportId report id
     */
    deleteReport(reportId: string): Promise<void>;
}
